/* AUTOGENERATED FILE. DO NOT EDIT. */

/*=======Automagically Detected Files To Include=====*/
#include "unity.h"
#include <stdio.h>
#include <string.h>

/*=======External Functions This Runner Calls=====*/
extern void setUp(void);
extern void tearDown(void);
extern void test_sl_string__initialize_successful(void);
extern void test_sl_string__initialize_unsuccessful_null_mem(void);
extern void test_sl_string__initialize_unsuccessful_mem_size_zero(void);
extern void test_sl_string__initialize_from_successful(void);
extern void test_sl_string__initialize_from_null_init_string(void);
extern void test_sl_string__initialize_from_null_string_memory(void);
extern void test_sl_string__get_capacity(void);
extern void test_sl_string__is_full(void);
extern void test_sl_string__get_length_empty_string(void);
extern void test_sl_string__get_length_non_empty_string(void);
extern void test_sl_string__c_str_empty_string(void);
extern void test_sl_string__c_str_non_empty_string(void);
extern void test_append_char(void);
extern void test_sl_string__copy_to(void);
extern void test_sl_string__to_int_successful(void);
extern void test_sl_string__to_int_unsuccessful_contains_non_int_chars(void);
extern void test_sl_string__to_int_unsuccessful_empty_string(void);
extern void test_sl_string__to_float_successful(void);
extern void test_sl_string__to_float_unsuccessful_contains_non_float_chars(void);
extern void test_sl_string__to_float_unsuccessful_empty_string(void);
extern void test_sl_string__is_alpha_contains_only_alpha_chars(void);
extern void test_sl_string__is_alpha_contains_non_alpha_chars(void);
extern void test_sl_string__is_alpha_empty_string(void);
extern void test_sl_string__is_alphanum_successful(void);
extern void test_sl_string__is_alphanum_contains_non_alphanum_chars(void);
extern void test_sl_string__is_alphanum_empty_string(void);
extern void test_sl_string__clear(void);
extern void test_sl_string__clear_all_memory(void);
extern void test_sl_string__to_lower(void);
extern void test_sl_string__to_upper(void);
extern void test_sl_string__printf_successful(void);
extern void test_sl_string__printf_with_string_size_zero(void);
extern void test_sl_string__printf_append_with_string_size_zero(void);
extern void test_sl_string__printf_filename_format(void);
extern void test_sl_string__scanf_with_arg_size_zero(void);
extern void test_sl_string__printf_truncated(void);
extern void test_sl_string__printf_append_successful(void);
extern void test_sl_string__printf_append_truncated(void);
extern void test_sl_string__scanf_successful(void);
extern void test_sl_string__tokenize_successful(void);
extern void test_sl_string__tokenize_unsuccessful_null_delimiter(void);
extern void test_sl_string__tokenize_null_args(void);
extern void test_sl_string__tokenize_mismatch_of_ptrs_and_num_of_tokens(void);
extern void test_sl_string__set(void);
extern void test_sl_string__insert_at_success(void);
extern void test_sl_string__insert_at_pos_out_of_bounds(void);
extern void test_sl_string__insert_at_string_is_null(void);
extern void test_sl_string__insert_at_capacity_reached(void);
extern void test_sl_string__append_successful(void);
extern void test_sl_string__append_string_is_null(void);
extern void test_sl_string__append_capacity_reached(void);
extern void test_sl_string__equals_to_successful(void);
extern void test_sl_string__equals_to_unsuccessful_strings_dont_match(void);
extern void test_sl_string__equals_to_unsuccessful_null_substring(void);
extern void test_sl_string__equals_to_ignore_case_successful(void);
extern void test_sl_string__equals_to_ignore_case_unsuccessful_strings_dont_match(void);
extern void test_sl_string__equals_to_ignore_case_unsuccessful_null_substring(void);
extern void test_sl_string__last_index_of_found(void);
extern void test_sl_string__last_index_of_unsuccessful_not_found(void);
extern void test_sl_string__last_index_of_unsuccessful_null_substring(void);
extern void test_sl_string__last_index_of_ignore_case_found(void);
extern void test_sl_string_last_index_of_ignore_lower_case(void);
extern void test_sl_string_last_index_of_ignore_multiple_sub_string(void);
extern void test_sl_string__last_index_of_ignore_case_not_found(void);
extern void test_sl_string__last_index_of_ignore_case_unsuccessful_null_substring(void);
extern void test_sl_string__first_index_of_found(void);
extern void test_sl_string__first_index_of_unsuccessful_not_found(void);
extern void test_sl_string__first_index_of_unsuccessful_null_substring(void);
extern void test_sl_string__first_index_of_ignore_case_found(void);
extern void test_sl_string__first_index_of_ignore_case_not_found(void);
extern void test_sl_string__first_index_of_ignore_case_unsuccessful_null_substring(void);
extern void test_sl_string_first_index_of_ignore_lower_case(void);
extern void test_sl_string__contains_found(void);
extern void test_sl_string__contains_unsuccessful_not_found(void);
extern void test_sl_string__contains_unsuccessful_null_substring(void);
extern void test_sl_string__contains_ignore_case_found(void);
extern void test_sl_string__contains_ignore_case_not_found(void);
extern void test_sl_string__contains_ignore_case_unsuccessful_null_substring(void);
extern void test_sl_string__count_of_successful(void);
extern void test_sl_string__count_of_no_occurance(void);
extern void test_sl_string__count_of_unsuccessful_null_substring(void);
extern void test_sl_string__begins_with_found(void);
extern void test_sl_string__begins_with_unsuccessful_not_found(void);
extern void test_sl_string__begins_with_unsuccessful_null_substring(void);
extern void test_sl_string__begins_unsuccessful_large_substring(void);
extern void test_sl_string__begins_with_limited_chars(void);
extern void test_sl_string__begins_with_ignore_case_found(void);
extern void test_sl_string__begins_with_ignore_case_not_found(void);
extern void test_sl_string__begins_with_ignore_case_unsuccessful_null_substring(void);
extern void test_sl_string__begins_ignore_case_unsuccessful_large_substring(void);
extern void test_sl_string__begins_with_whole_word_found(void);
extern void test_sl_string__begins_with_whole_word_unsuccessful_large_substring(void);
extern void test_sl_string__begins_with_whole_word_not_matching(void);
extern void test_sl_string__begins_with_whole_word_string_ends_with_null(void);
extern void test_sl_string__begins_with_whole_word_unsuccessful_not_found(void);
extern void test_sl_string__begins_with_whole_word_unsuccessful_null_params(void);
extern void test_sl_string__begins_with_whole_word_ignore_case_found(void);
extern void test_sl_string__begins_with_whole_word_ignore_case_not_found(void);
extern void test_sl_string__begins_with_whole_word_ignore_case_unsuccessful_null_params(void);
extern void test_sl_string__begins_with_whole_word_ignore_case_unsuccessful_large_substring(void);
extern void test_sl_string__begins_with_whole_word_ignore_case_not_matching(void);
extern void test_sl_string__begins_with_whole_word_ignore_case_string_delimeter_null(void);
extern void test_sl_string__ends_with_found(void);
extern void test_sl_string__ends_with_unsuccessful_large_substring(void);
extern void test_sl_string__ends_with_unsuccessful_not_found(void);
extern void test_sl_string__ends_with_unsuccessful_null_substring(void);
extern void test_sl_string__ends_newline(void);
extern void test_sl_string__ends_with_ignore_case_found(void);
extern void test_sl_string__ends_with_ignore_case_unsuccessful_large_substring(void);
extern void test_sl_string__ends_with_ignore_case_not_found(void);
extern void test_sl_string__ends_with_ignore_case_unsuccessful_null_substring(void);
extern void test_sl_string__erase_successful(void);
extern void test_sl_string__erase_null_substring(void);
extern void test_sl_string__erase_substring_not_found(void);
extern void test_sl_string__erase_first_successful(void);
extern void test_sl_string__erase_first_n_chars_longer_than_string(void);
extern void test_sl_string__erase_last_successful(void);
extern void test_sl_string__erase_last_n_chars_longer_than_string(void);
extern void test_sl_string__erase_at_successful(void);
extern void test_sl_string__erase_at_index_out_of_bounds(void);
extern void test_sl_string__erase_after_successful(void);
extern void test_sl_string__erase_after_index_out_of_bounds(void);
extern void test_sl_string__erase_after_n_chars_longer_than_string(void);
extern void test_sl_string__erase_after_string(void);
extern void test_sl_string__erase_first_word_successful(void);
extern void test_sl_string__erase_first_word_no_words(void);
extern void test_sl_string__erase_special_chars_successful(void);
extern void test_sl_string__erase_special_chars_no_special_chars(void);
extern void test_erase_int(void);
extern void test_sl_string__trim_end_successful(void);
extern void test_sl_string__trim_end_null_chars_to_trim(void);
extern void test_sl_string__trim_end_chars_not_found(void);
extern void test_sl_string__trim_start_successful(void);
extern void test_sl_string__trim_start_null_chars_to_trim(void);
extern void test_sl_string__trim_start_chars_not_found(void);
extern void test_sl_string__replace_first_successful(void);
extern void test_sl_string__replace_first_null_params(void);
extern void test_sl_string__replace_first_substring_not_found(void);
extern void test_sl_string__replace_first_empty_string_and_replace_string(void);
extern void test_sl_string__replace_last_successful(void);
extern void test_sl_string__replace_last_null_params(void);
extern void test_sl_string__replace_last_substring_not_found(void);
extern void test_sl_string__replace_all_successful(void);
extern void test_sl_string__replace_all_null_params(void);
extern void test_sl_string__replace_all_substring_not_found(void);
extern void test_sl_string__replace_all_double_slash_with_slash(void);


/*=======Mock Management=====*/
static void CMock_Init(void)
{
}
static void CMock_Verify(void)
{
}
static void CMock_Destroy(void)
{
}

/*=======Test Reset Options=====*/
void resetTest(void);
void resetTest(void)
{
  tearDown();
  CMock_Verify();
  CMock_Destroy();
  CMock_Init();
  setUp();
}
void verifyTest(void);
void verifyTest(void)
{
  CMock_Verify();
}
/*=======Test Runner Used To Run Each Test=====*/
static void run_test(UnityTestFunction func, const char* name, int line_num)
{
    Unity.CurrentTestName = name;
    Unity.CurrentTestLineNumber = line_num;
#ifdef UNITY_USE_COMMAND_LINE_ARGS
    if (!UnityTestMatches())
        return;
#endif
    Unity.NumberOfTests++;
    UNITY_CLR_DETAILS();
    UNITY_EXEC_TIME_START();
    CMock_Init();
    if (TEST_PROTECT())
    {

            setUp();
            func();

    }
    if (TEST_PROTECT())
    {
        tearDown();
        CMock_Verify();
    }
    CMock_Destroy();
    UNITY_EXEC_TIME_STOP();
    UnityConcludeTest();
}


/*=======MAIN=====*/
int main(void)
{
  UnityBegin("projects/lpc40xx_freertos/l2_utils/string/test/test_sl_string.c");
  run_test(test_sl_string__initialize_successful, "test_sl_string__initialize_successful", 82);
  run_test(test_sl_string__initialize_unsuccessful_null_mem, "test_sl_string__initialize_unsuccessful_null_mem", 87);
  run_test(test_sl_string__initialize_unsuccessful_mem_size_zero, "test_sl_string__initialize_unsuccessful_mem_size_zero", 93);
  run_test(test_sl_string__initialize_from_successful, "test_sl_string__initialize_from_successful", 99);
  run_test(test_sl_string__initialize_from_null_init_string, "test_sl_string__initialize_from_null_init_string", 108);
  run_test(test_sl_string__initialize_from_null_string_memory, "test_sl_string__initialize_from_null_string_memory", 117);
  run_test(test_sl_string__get_capacity, "test_sl_string__get_capacity", 124);
  run_test(test_sl_string__is_full, "test_sl_string__is_full", 129);
  run_test(test_sl_string__get_length_empty_string, "test_sl_string__get_length_empty_string", 140);
  run_test(test_sl_string__get_length_non_empty_string, "test_sl_string__get_length_non_empty_string", 142);
  run_test(test_sl_string__c_str_empty_string, "test_sl_string__c_str_empty_string", 149);
  run_test(test_sl_string__c_str_non_empty_string, "test_sl_string__c_str_non_empty_string", 154);
  run_test(test_append_char, "test_append_char", 162);
  run_test(test_sl_string__copy_to, "test_sl_string__copy_to", 186);
  run_test(test_sl_string__to_int_successful, "test_sl_string__to_int_successful", 215);
  run_test(test_sl_string__to_int_unsuccessful_contains_non_int_chars, "test_sl_string__to_int_unsuccessful_contains_non_int_chars", 225);
  run_test(test_sl_string__to_int_unsuccessful_empty_string, "test_sl_string__to_int_unsuccessful_empty_string", 239);
  run_test(test_sl_string__to_float_successful, "test_sl_string__to_float_successful", 241);
  run_test(test_sl_string__to_float_unsuccessful_contains_non_float_chars, "test_sl_string__to_float_unsuccessful_contains_non_float_chars", 255);
  run_test(test_sl_string__to_float_unsuccessful_empty_string, "test_sl_string__to_float_unsuccessful_empty_string", 269);
  run_test(test_sl_string__is_alpha_contains_only_alpha_chars, "test_sl_string__is_alpha_contains_only_alpha_chars", 273);
  run_test(test_sl_string__is_alpha_contains_non_alpha_chars, "test_sl_string__is_alpha_contains_non_alpha_chars", 278);
  run_test(test_sl_string__is_alpha_empty_string, "test_sl_string__is_alpha_empty_string", 283);
  run_test(test_sl_string__is_alphanum_successful, "test_sl_string__is_alphanum_successful", 285);
  run_test(test_sl_string__is_alphanum_contains_non_alphanum_chars, "test_sl_string__is_alphanum_contains_non_alphanum_chars", 299);
  run_test(test_sl_string__is_alphanum_empty_string, "test_sl_string__is_alphanum_empty_string", 305);
  run_test(test_sl_string__clear, "test_sl_string__clear", 307);
  run_test(test_sl_string__clear_all_memory, "test_sl_string__clear_all_memory", 315);
  run_test(test_sl_string__to_lower, "test_sl_string__to_lower", 326);
  run_test(test_sl_string__to_upper, "test_sl_string__to_upper", 332);
  run_test(test_sl_string__printf_successful, "test_sl_string__printf_successful", 338);
  run_test(test_sl_string__printf_with_string_size_zero, "test_sl_string__printf_with_string_size_zero", 346);
  run_test(test_sl_string__printf_append_with_string_size_zero, "test_sl_string__printf_append_with_string_size_zero", 352);
  run_test(test_sl_string__printf_filename_format, "test_sl_string__printf_filename_format", 358);
  run_test(test_sl_string__scanf_with_arg_size_zero, "test_sl_string__scanf_with_arg_size_zero", 369);
  run_test(test_sl_string__printf_truncated, "test_sl_string__printf_truncated", 376);
  run_test(test_sl_string__printf_append_successful, "test_sl_string__printf_append_successful", 389);
  run_test(test_sl_string__printf_append_truncated, "test_sl_string__printf_append_truncated", 399);
  run_test(test_sl_string__scanf_successful, "test_sl_string__scanf_successful", 418);
  run_test(test_sl_string__tokenize_successful, "test_sl_string__tokenize_successful", 432);
  run_test(test_sl_string__tokenize_unsuccessful_null_delimiter, "test_sl_string__tokenize_unsuccessful_null_delimiter", 446);
  run_test(test_sl_string__tokenize_null_args, "test_sl_string__tokenize_null_args", 460);
  run_test(test_sl_string__tokenize_mismatch_of_ptrs_and_num_of_tokens, "test_sl_string__tokenize_mismatch_of_ptrs_and_num_of_tokens", 465);
  run_test(test_sl_string__set, "test_sl_string__set", 479);
  run_test(test_sl_string__insert_at_success, "test_sl_string__insert_at_success", 494);
  run_test(test_sl_string__insert_at_pos_out_of_bounds, "test_sl_string__insert_at_pos_out_of_bounds", 500);
  run_test(test_sl_string__insert_at_string_is_null, "test_sl_string__insert_at_string_is_null", 506);
  run_test(test_sl_string__insert_at_capacity_reached, "test_sl_string__insert_at_capacity_reached", 512);
  run_test(test_sl_string__append_successful, "test_sl_string__append_successful", 518);
  run_test(test_sl_string__append_string_is_null, "test_sl_string__append_string_is_null", 524);
  run_test(test_sl_string__append_capacity_reached, "test_sl_string__append_capacity_reached", 530);
  run_test(test_sl_string__equals_to_successful, "test_sl_string__equals_to_successful", 536);
  run_test(test_sl_string__equals_to_unsuccessful_strings_dont_match, "test_sl_string__equals_to_unsuccessful_strings_dont_match", 541);
  run_test(test_sl_string__equals_to_unsuccessful_null_substring, "test_sl_string__equals_to_unsuccessful_null_substring", 546);
  run_test(test_sl_string__equals_to_ignore_case_successful, "test_sl_string__equals_to_ignore_case_successful", 551);
  run_test(test_sl_string__equals_to_ignore_case_unsuccessful_strings_dont_match, "test_sl_string__equals_to_ignore_case_unsuccessful_strings_dont_match", 557);
  run_test(test_sl_string__equals_to_ignore_case_unsuccessful_null_substring, "test_sl_string__equals_to_ignore_case_unsuccessful_null_substring", 562);
  run_test(test_sl_string__last_index_of_found, "test_sl_string__last_index_of_found", 567);
  run_test(test_sl_string__last_index_of_unsuccessful_not_found, "test_sl_string__last_index_of_unsuccessful_not_found", 572);
  run_test(test_sl_string__last_index_of_unsuccessful_null_substring, "test_sl_string__last_index_of_unsuccessful_null_substring", 577);
  run_test(test_sl_string__last_index_of_ignore_case_found, "test_sl_string__last_index_of_ignore_case_found", 582);
  run_test(test_sl_string_last_index_of_ignore_lower_case, "test_sl_string_last_index_of_ignore_lower_case", 592);
  run_test(test_sl_string_last_index_of_ignore_multiple_sub_string, "test_sl_string_last_index_of_ignore_multiple_sub_string", 597);
  run_test(test_sl_string__last_index_of_ignore_case_not_found, "test_sl_string__last_index_of_ignore_case_not_found", 602);
  run_test(test_sl_string__last_index_of_ignore_case_unsuccessful_null_substring, "test_sl_string__last_index_of_ignore_case_unsuccessful_null_substring", 606);
  run_test(test_sl_string__first_index_of_found, "test_sl_string__first_index_of_found", 611);
  run_test(test_sl_string__first_index_of_unsuccessful_not_found, "test_sl_string__first_index_of_unsuccessful_not_found", 621);
  run_test(test_sl_string__first_index_of_unsuccessful_null_substring, "test_sl_string__first_index_of_unsuccessful_null_substring", 626);
  run_test(test_sl_string__first_index_of_ignore_case_found, "test_sl_string__first_index_of_ignore_case_found", 631);
  run_test(test_sl_string__first_index_of_ignore_case_not_found, "test_sl_string__first_index_of_ignore_case_not_found", 641);
  run_test(test_sl_string__first_index_of_ignore_case_unsuccessful_null_substring, "test_sl_string__first_index_of_ignore_case_unsuccessful_null_substring", 646);
  run_test(test_sl_string_first_index_of_ignore_lower_case, "test_sl_string_first_index_of_ignore_lower_case", 651);
  run_test(test_sl_string__contains_found, "test_sl_string__contains_found", 656);
  run_test(test_sl_string__contains_unsuccessful_not_found, "test_sl_string__contains_unsuccessful_not_found", 661);
  run_test(test_sl_string__contains_unsuccessful_null_substring, "test_sl_string__contains_unsuccessful_null_substring", 666);
  run_test(test_sl_string__contains_ignore_case_found, "test_sl_string__contains_ignore_case_found", 671);
  run_test(test_sl_string__contains_ignore_case_not_found, "test_sl_string__contains_ignore_case_not_found", 676);
  run_test(test_sl_string__contains_ignore_case_unsuccessful_null_substring, "test_sl_string__contains_ignore_case_unsuccessful_null_substring", 681);
  run_test(test_sl_string__count_of_successful, "test_sl_string__count_of_successful", 686);
  run_test(test_sl_string__count_of_no_occurance, "test_sl_string__count_of_no_occurance", 691);
  run_test(test_sl_string__count_of_unsuccessful_null_substring, "test_sl_string__count_of_unsuccessful_null_substring", 696);
  run_test(test_sl_string__begins_with_found, "test_sl_string__begins_with_found", 701);
  run_test(test_sl_string__begins_with_unsuccessful_not_found, "test_sl_string__begins_with_unsuccessful_not_found", 706);
  run_test(test_sl_string__begins_with_unsuccessful_null_substring, "test_sl_string__begins_with_unsuccessful_null_substring", 711);
  run_test(test_sl_string__begins_unsuccessful_large_substring, "test_sl_string__begins_unsuccessful_large_substring", 716);
  run_test(test_sl_string__begins_with_limited_chars, "test_sl_string__begins_with_limited_chars", 721);
  run_test(test_sl_string__begins_with_ignore_case_found, "test_sl_string__begins_with_ignore_case_found", 737);
  run_test(test_sl_string__begins_with_ignore_case_not_found, "test_sl_string__begins_with_ignore_case_not_found", 742);
  run_test(test_sl_string__begins_with_ignore_case_unsuccessful_null_substring, "test_sl_string__begins_with_ignore_case_unsuccessful_null_substring", 747);
  run_test(test_sl_string__begins_ignore_case_unsuccessful_large_substring, "test_sl_string__begins_ignore_case_unsuccessful_large_substring", 752);
  run_test(test_sl_string__begins_with_whole_word_found, "test_sl_string__begins_with_whole_word_found", 757);
  run_test(test_sl_string__begins_with_whole_word_unsuccessful_large_substring, "test_sl_string__begins_with_whole_word_unsuccessful_large_substring", 767);
  run_test(test_sl_string__begins_with_whole_word_not_matching, "test_sl_string__begins_with_whole_word_not_matching", 772);
  run_test(test_sl_string__begins_with_whole_word_string_ends_with_null, "test_sl_string__begins_with_whole_word_string_ends_with_null", 777);
  run_test(test_sl_string__begins_with_whole_word_unsuccessful_not_found, "test_sl_string__begins_with_whole_word_unsuccessful_not_found", 782);
  run_test(test_sl_string__begins_with_whole_word_unsuccessful_null_params, "test_sl_string__begins_with_whole_word_unsuccessful_null_params", 787);
  run_test(test_sl_string__begins_with_whole_word_ignore_case_found, "test_sl_string__begins_with_whole_word_ignore_case_found", 794);
  run_test(test_sl_string__begins_with_whole_word_ignore_case_not_found, "test_sl_string__begins_with_whole_word_ignore_case_not_found", 804);
  run_test(test_sl_string__begins_with_whole_word_ignore_case_unsuccessful_null_params, "test_sl_string__begins_with_whole_word_ignore_case_unsuccessful_null_params", 809);
  run_test(test_sl_string__begins_with_whole_word_ignore_case_unsuccessful_large_substring, "test_sl_string__begins_with_whole_word_ignore_case_unsuccessful_large_substring", 816);
  run_test(test_sl_string__begins_with_whole_word_ignore_case_not_matching, "test_sl_string__begins_with_whole_word_ignore_case_not_matching", 821);
  run_test(test_sl_string__begins_with_whole_word_ignore_case_string_delimeter_null, "test_sl_string__begins_with_whole_word_ignore_case_string_delimeter_null", 826);
  run_test(test_sl_string__ends_with_found, "test_sl_string__ends_with_found", 831);
  run_test(test_sl_string__ends_with_unsuccessful_large_substring, "test_sl_string__ends_with_unsuccessful_large_substring", 836);
  run_test(test_sl_string__ends_with_unsuccessful_not_found, "test_sl_string__ends_with_unsuccessful_not_found", 841);
  run_test(test_sl_string__ends_with_unsuccessful_null_substring, "test_sl_string__ends_with_unsuccessful_null_substring", 846);
  run_test(test_sl_string__ends_newline, "test_sl_string__ends_newline", 851);
  run_test(test_sl_string__ends_with_ignore_case_found, "test_sl_string__ends_with_ignore_case_found", 865);
  run_test(test_sl_string__ends_with_ignore_case_unsuccessful_large_substring, "test_sl_string__ends_with_ignore_case_unsuccessful_large_substring", 871);
  run_test(test_sl_string__ends_with_ignore_case_not_found, "test_sl_string__ends_with_ignore_case_not_found", 877);
  run_test(test_sl_string__ends_with_ignore_case_unsuccessful_null_substring, "test_sl_string__ends_with_ignore_case_unsuccessful_null_substring", 883);
  run_test(test_sl_string__erase_successful, "test_sl_string__erase_successful", 889);
  run_test(test_sl_string__erase_null_substring, "test_sl_string__erase_null_substring", 896);
  run_test(test_sl_string__erase_substring_not_found, "test_sl_string__erase_substring_not_found", 903);
  run_test(test_sl_string__erase_first_successful, "test_sl_string__erase_first_successful", 910);
  run_test(test_sl_string__erase_first_n_chars_longer_than_string, "test_sl_string__erase_first_n_chars_longer_than_string", 917);
  run_test(test_sl_string__erase_last_successful, "test_sl_string__erase_last_successful", 924);
  run_test(test_sl_string__erase_last_n_chars_longer_than_string, "test_sl_string__erase_last_n_chars_longer_than_string", 931);
  run_test(test_sl_string__erase_at_successful, "test_sl_string__erase_at_successful", 938);
  run_test(test_sl_string__erase_at_index_out_of_bounds, "test_sl_string__erase_at_index_out_of_bounds", 945);
  run_test(test_sl_string__erase_after_successful, "test_sl_string__erase_after_successful", 952);
  run_test(test_sl_string__erase_after_index_out_of_bounds, "test_sl_string__erase_after_index_out_of_bounds", 959);
  run_test(test_sl_string__erase_after_n_chars_longer_than_string, "test_sl_string__erase_after_n_chars_longer_than_string", 966);
  run_test(test_sl_string__erase_after_string, "test_sl_string__erase_after_string", 973);
  run_test(test_sl_string__erase_first_word_successful, "test_sl_string__erase_first_word_successful", 983);
  run_test(test_sl_string__erase_first_word_no_words, "test_sl_string__erase_first_word_no_words", 990);
  run_test(test_sl_string__erase_special_chars_successful, "test_sl_string__erase_special_chars_successful", 997);
  run_test(test_sl_string__erase_special_chars_no_special_chars, "test_sl_string__erase_special_chars_no_special_chars", 1004);
  run_test(test_erase_int, "test_erase_int", 1011);
  run_test(test_sl_string__trim_end_successful, "test_sl_string__trim_end_successful", 1038);
  run_test(test_sl_string__trim_end_null_chars_to_trim, "test_sl_string__trim_end_null_chars_to_trim", 1045);
  run_test(test_sl_string__trim_end_chars_not_found, "test_sl_string__trim_end_chars_not_found", 1052);
  run_test(test_sl_string__trim_start_successful, "test_sl_string__trim_start_successful", 1059);
  run_test(test_sl_string__trim_start_null_chars_to_trim, "test_sl_string__trim_start_null_chars_to_trim", 1069);
  run_test(test_sl_string__trim_start_chars_not_found, "test_sl_string__trim_start_chars_not_found", 1076);
  run_test(test_sl_string__replace_first_successful, "test_sl_string__replace_first_successful", 1083);
  run_test(test_sl_string__replace_first_null_params, "test_sl_string__replace_first_null_params", 1090);
  run_test(test_sl_string__replace_first_substring_not_found, "test_sl_string__replace_first_substring_not_found", 1100);
  run_test(test_sl_string__replace_first_empty_string_and_replace_string, "test_sl_string__replace_first_empty_string_and_replace_string", 1107);
  run_test(test_sl_string__replace_last_successful, "test_sl_string__replace_last_successful", 1113);
  run_test(test_sl_string__replace_last_null_params, "test_sl_string__replace_last_null_params", 1120);
  run_test(test_sl_string__replace_last_substring_not_found, "test_sl_string__replace_last_substring_not_found", 1130);
  run_test(test_sl_string__replace_all_successful, "test_sl_string__replace_all_successful", 1137);
  run_test(test_sl_string__replace_all_null_params, "test_sl_string__replace_all_null_params", 1144);
  run_test(test_sl_string__replace_all_substring_not_found, "test_sl_string__replace_all_substring_not_found", 1154);
  run_test(test_sl_string__replace_all_double_slash_with_slash, "test_sl_string__replace_all_double_slash_with_slash", 1161);

  return UnityEnd();
}
